OpenTTD: src/highscore_gui.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
highscore_gui.cpp File Reference

Definition of the HighScore and EndGame windows. More...

`#include "stdafx.h"`
`#include "highscore.h"`
`#include "table/strings.h"`
`#include "gfx_func.h"`
`#include "table/sprites.h"`
`#include "window_gui.h"`
`#include "window_func.h"`
`#include "network/network.h"`
`#include "command_func.h"`
`#include "company_func.h"`
`#include "company_base.h"`
`#include "strings_func.h"`
`#include "hotkeys.h"`
`#include "widgets/highscore_widget.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Data Structures
struct | EndGameHighScoreBaseWindow
struct | EndGameWindow
| End game window shown at the end of the game. More...
struct | HighScoreWindow

## Functions
void | ShowHighscoreTable (int difficulty, int8 ranking)
| Show the highscore table for a given difficulty.
void | ShowEndGameChart ()
| Show the endgame victory screen in 2050.

## Variables
static const NWidgetPart | _nested_highscore_widgets []
static WindowDesc | _highscore_desc (WDP_MANUAL, NULL, 0, 0, WC_HIGHSCORE, WC_NONE, 0, _nested_highscore_widgets, lengthof(_nested_highscore_widgets))
static WindowDesc | _endgame_desc (WDP_MANUAL, NULL, 0, 0, WC_ENDSCREEN, WC_NONE, 0, _nested_highscore_widgets, lengthof(_nested_highscore_widgets))

## Detailed Description

Definition of the HighScore and EndGame windows.

Definition in file highscore_gui.cpp.

## Function Documentation

void ShowEndGameChart | ( |  | ) |

Show the endgame victory screen in 2050.

Update the new highscore if it was high enough

Definition at line 241 of file highscore_gui.cpp.

References _local_company, _network_dedicated, _networking, DeleteWindowByClass(), HideVitalWindows(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), and WC_ENDSCREEN.

Referenced by OnNewYear().

void ShowHighscoreTable | ( | int | difficulty,
|  | int8 | ranking
| ) |  |

Show the highscore table for a given difficulty.

When called from endgame ranking is set to the top5 element that was newly added and is thus highlighted

Definition at line 231 of file highscore_gui.cpp.

References DeleteWindowByClass(), and WC_HIGHSCORE.

Referenced by MenuClickLeague(), and SelectGameWindow::OnClick().

## Variable Documentation

const NWidgetPart _nested_highscore_widgets[]
| static

Initial value:
{
NWidget(WWT_PANEL, COLOUR_BROWN, WID_H_BACKGROUND), SetMinimalSize(641, 481), SetResize(1, 1), EndContainer(),
}

Definition at line 208 of file highscore_gui.cpp.